Thank you bernd. it partially works.bernd wrote: ↑Wed Sep 26, 2018 4:59 pm remember volumes of the famouscantilever starts with 149 thus
It seams if the element could not be colored all or non (which means all will be green) elements are colored. BTW the code ... https://github.com/FreeCAD/FreeCAD/blob ... #L178-L192 and https://github.com/FreeCAD/FreeCAD/blob ... #L631-L652Code: Select all
Gui.getDocument("FemCalculixCantilever3D").getObject("Box_Mesh").Visibility=True A=Gui.getDocument("FemCalculixCantilever3D").getObject("Box_Mesh") A.ElementColor={149:(1,0,0)}
screen.jpg
Maybe I'm digging too much (sorry for my insistence), but I found another bugs or something that it is not compatible.
Here is a bug 1:
The visibility changes If you select show inner true or show inner false. Volumes are partially showed...
Code: Select all
FreeCADGui.getDocument("FemCalculixCantilever3D").getObject("Box_Mesh").ShowInner = False
FreeCADGui.getDocument("FemCalculixCantilever3D").getObject("Box_Mesh").ShowInner = True
If you change the display mode to faces + wireframe + nodes
Code: Select all
FreeCADGui.getDocument("FemCalculixCantilever3D").getObject("Box_Mesh").DisplayMode = u"Faces, Wireframe & Nodes"
Code: Select all
FreeCADGui.getDocument("FemCalculixCantilever3D").getObject("Box_Mesh").PointColor = (0.33,0.33,1.00)
By changing the colors of the materials the cantilever beam becomes a superstar

BTW I have another two question related with this visual handling options:
1-) How can I change the colors of more than one element at the same time? (I think it is not possible...)
2-) How can I return to the original colors of the mesh?
Thank you so much,
best regards,
Ekaitz.